* {
  font-family: Arial, Helvetica, sans-serif;
  padding: 0;
  margin: 0;
  box-sizing: border-box;
  scroll-behavior: smooth;
}

a {
  text-decoration: none;
}

/** Common CSS **/
.section-mt {
  margin-top: 100px;
}

.title-label {
  color: #03228f;
  text-align: center;
}

.text-white {
  color: #fff;
}

/**Common CSS End**/

.section-one {
  height: 100vh;
  position: absolute;
  z-index: 1;
  width: 100%;
}

.mobile-header {
  display: none;
  align-items: center;
  justify-content: space-between;
  width: 80%;
  margin: 0 auto;
  min-height: 48px;
  padding: 20px 0;
}

.mobile-menu i {
  color: #fff;
  font-size: 20px;
}

.mobile-header #mobile-nav {
  display: none;
  position: absolute;
  background: rgba(3, 34, 143, 0.7);
  width: 100%;
  left: 0;
  flex-direction: column;
  top: 80px;
  align-items: flex-start;
  padding: 20px 16px 8px;
  box-shadow: rgb(149 157 165 / 20%) 0px 8px 24px;
}

.mobile-header #mobile-nav a {
  font-size: 18px;
  text-align: center;
  width: 100%;
  margin-bottom: 8px;
  padding-bottom: 5px;
}

.mobile-header #mobile-nav a:last-child {
  border-bottom: none;
}

.mobile-header .logo img {
  width: 60%;
}

.mobile-header a i {
  font-size: 20px;
  color: #fff;
}

.main-header {
  padding: 30px 0;
  width: 90%;
  display: flex;
  align-items: center;
  justify-content: space-between;
  margin: 0 auto 50px;
}

.sticky-header {
  position: fixed;
  top: 0;
  width: 100%;
  background-image: linear-gradient(100deg, #03228f 34%, #0e73e4 100%);
  background-color: #0e73e4;
  box-shadow: rgba(100, 100, 111, 0.2) 0px 7px 29px 0px;
}

.sticky-header .main-header {
  margin-bottom: 0;
  padding: 10px 0;
}

.sticky-header .mobile-header .scroll-logo {
  width: 32%;
}

.scroll-logo {
  display: none;
}

.sticky-header .scroll-logo {
  display: block;
  width: 20%;
}

.sticky-header .main-logo {
  display: none;
}

.logo img {
  width: 25%;
}

nav {
  display: flex;
  align-items: center;
  justify-content: space-around;
  flex-wrap: nowrap;
}

nav a {
  color: #fff;
  width: 100px;
  font-weight: 600;
}

nav a:hover {
  color: #bbb;
}

.section-one .section-content {
  width: 90%;
  margin: 0 auto;
  display: flex;
  align-items: center;
  justify-content: space-between;
}

.section-one .section-content-left {
  color: #fff;
  width: 50%;
}

.section-one .section-content-left h3 {
  font-size: 40px;
  margin-bottom: 10px;
}

.section-one .section-content-left p {
  font-size: 20px;
}

.section-one .section-content-left a {
  font-size: 20px;
  color: #fff;
  background-image: linear-gradient(220deg, #f27c1e 0%, #dd4c23 79%);
  background-color: #f27c1e;
  padding: 10px 25px;
  margin-top: 25px;
  display: inline-block;
  border-radius: 50px;
}

.section-one .section-content-left a:hover {
  box-shadow: 0 4px 8px 0 rgb(0 0 0 / 20%), 0 6px 20px 0 rgb(0 0 0 / 19%);
}

.section-one .section-content-right {
  text-align: center;
  width: 50%;
}

.section-one .section-content-right img {
  width: 80%;
}

.intro-animation-area {
  width: 100%;
  height: 100vh;
  background-image: linear-gradient(100deg, #03228f 34%, #0e73e4 100%);
  background-color: #0e73e4;
  border-radius: 0px 0px 0px 270px;
}

.box-area {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  overflow: hidden;
}

.box-area li {
  position: absolute;
  display: block;
  list-style: none;
  width: 25px;
  height: 25px;
  background-color: rgba(255, 255, 255, 0.2);
  animation: animate 20s linear infinite;
  bottom: -150px;
}

.box-area li:nth-child(1) {
  left: 86%;
  width: 80px;
  height: 80px;
  animation-delay: 0s;
}
.box-area li:nth-child(2) {
  left: 12%;
  width: 30px;
  height: 30px;
  animation-delay: 1.5s;
  animation-duration: 10s;
}
.box-area li:nth-child(3) {
  left: 70%;
  width: 100px;
  height: 100px;
  animation-delay: 5.5s;
}
.box-area li:nth-child(4) {
  left: 42%;
  width: 150px;
  height: 150px;
  animation-delay: 0s;
  animation-duration: 15s;
}
.box-area li:nth-child(5) {
  left: 65%;
  width: 40px;
  height: 40px;
  animation-delay: 0s;
}
.box-area li:nth-child(5) {
  left: 15%;
  width: 110px;
  height: 110px;
  animation-delay: 3.5s;
}

.section-two {
  position: relative;
}

.item-flow {
  visibility: hidden;
  z-index: -1;
  position: absolute;
  animation: itemFlow 25s linear infinite;
  height: 25px;
  width: 4px;
  background: #03228f;
  background-image: linear-gradient(0deg, #03228f 5%, #fff 100%);
}

.item-flow-one {
  left: 20px;
}

.item-flow-two {
  left: 200px;
  animation-delay: 5s;
}

.item-flow-three {
  left: 400px;
  animation-delay: 1s;
}

.item-flow-four {
  left: 600px;
}

.item-flow-five {
  left: 800px;
  animation-delay: 6s;
}

.item-flow-six {
  left: 1000px;
  animation-delay: 3s;
}

.item-flow-seven {
  left: 1200px;
  animation-delay: 5s;
}

.section-two::before {
  content: '';
  height: 100px;
  display: block;
  margin-top: -100px;
}

.section-three::before {
  content: '';
  height: 120px;
  display: block;
  margin-top: -120px;
}

.section-two h3 {
  text-align: center;
  font-size: 30px;
  width: fit-content;
  margin: 0 auto;
  text-decoration: none;
  padding: 5px;
  margin-bottom: 40px;
}

.services {
  display: flex;
  align-items: center;
  justify-content: space-between;
  width: 95%;
  margin: 25px auto;
}

.service-image {
  width: 50%;
  display: flex;
  align-items: center;
  justify-content: center;
}

.service-image img {
  width: 60%;
}
.service-content {
  width: 50%;
  display: flex;
  align-items: center;
  justify-content: center;
}

.service-content-wrapper {
  width: 60%;
  text-align: center;
}

.service-content-wrapper h4 {
  font-size: 22px;
}

.service-content-wrapper p {
  margin-top: 10px;
}

.design-image {
  width: 80% !important;
  margin-bottom: -80px;
}

.section-three h3 {
  text-align: center;
  font-size: 30px;
  width: fit-content;
  margin: 0 auto;
  text-decoration: none;
  padding: 5px;
  margin-bottom: 40px;
}

/*** About ***/

.section-three {
  border-radius: 0px 270px 0px 0px;
  background: linear-gradient(140deg, #03228f 62%, #0e73e4 100%);
  padding-top: 50px;
  padding-bottom: 50px;
}

.about-content {
  display: flex;
  align-items: center;
  justify-content: space-between;
  width: 95%;
  margin: 25px auto;
}

.about-image {
  width: 50%;
  display: flex;
  align-items: center;
  justify-content: center;
}

.about-image img {
  width: 60%;
}
.about-details {
  width: 50%;
  display: flex;
  align-items: center;
  justify-content: center;
}

.about-content-wrapper {
  width: 85%;
  text-align: left;
  position: relative;
}

.about-content-wrapper img {
  position: absolute;
  top: -121px;
  left: -84px;
}

.about-content-wrapper h4 {
  font-size: 34px;
}

.about-content-wrapper p {
  margin-top: 10px;
}

/***Section four ***/

.workflow {
  display: flex;
  justify-content: space-between;
  width: 95%;
  margin: 25px auto;
}

.workflow-steps {
  width: 50%;
  display: flex;
  align-items: center;
  flex-wrap: wrap;
}

.workflow-image img {
  width: 60%;
}
.workflow-content {
  width: 50%;
  display: flex;
  align-items: center;
  justify-content: center;
  height: 100%;
  margin-top: 30px;
}

.workflow-content-wrapper {
  width: 60%;
  text-align: left;
}

.workflow-content-wrapper h4 {
  font-size: 34px;
  margin-bottom: 20px;
}

.workflow-content-wrapper p {
  margin-top: 10px;
  text-align: left;
}

.workflow-content-wrapper a {
  font-size: 20px;
  color: #fff;
  background-color: #03228f;
  background-image: linear-gradient(140deg, #03228f 62%, #0e73e4 100%);
  padding: 10px 25px;
  margin-top: 25px;
  display: inline-block;
  border-radius: 50px;
}

.workflow-details {
  font-size: 25px;
}

.workflow-content-wrapper a:hover {
  box-shadow: 0 4px 8px 0 rgb(0 0 0 / 20%), 0 6px 20px 0 rgb(0 0 0 / 19%);
}

.step {
  text-align: center;
  background-color: #ffffff;
  border-radius: 10px 10px 10px 10px;
  box-shadow: 0px 0px 48px 0px rgb(162 162 162 / 50%);
  margin: 0px 0 30px 30px;
  padding: 40px 20px 40px;
  width: 280px;
  position: relative;
  height: 250px;
}

.step:hover {
  animation: stepBox 2s linear infinite;
}

.step .step-count {
  display: flex;
  align-items: center;
  justify-content: center;
  position: absolute;
  top: -20px;
  left: -20px;
  min-height: 50px;
  width: 50px;
  background-color: #03228f;
  background-image: linear-gradient(140deg, #03228f 62%, #0e73e4 100%);
}

.step .step-count h2 {
  color: #fff;
}

/*** Footer ***/
footer {
  padding: 20px 0 0;
  background-image: linear-gradient(100deg, #03228f 34%, #0e73e4 100%);
  background-color: #0e73e4;
}

.company-links {
  display: flex;
  flex-direction: column;
}

.company-links i {
  margin-right: 5px;
}

.footer-column-two {
  width: 33.33%;
  display: flex;
  align-items: center;
  justify-content: center;
  border-right: 1px solid rgba(255, 255, 255, 0.2);
}

.footer-column-two h3 {
  margin-top: 10px;
  color: #fff;
  margin-bottom: 20px;
}

.footer-column-three {
  width: 33.33%;
  display: flex;
  align-items: center;
  justify-content: center;
}

.footer-column-three h3 {
  margin-top: 10px;
  color: #fff;
  margin-bottom: 20px;
}

.company-links a {
  color: #fff;
  padding-bottom: 12px;
}

.company-links a:hover {
  color: #bbb;
}

.main-footer {
  display: flex;
  padding-bottom: 10px;
}

.footer-column-one {
  width: 33.33%;
  text-align: center;
  border-right: 1px solid rgba(255, 255, 255, 0.2);
}

.footer-column-one .main-logo {
  width: 60%;
}

.footer-logo {
  margin-bottom: 20px;
}

.footer-column-one p {
  color: #fff;
  font-size: 20px;
}

.copyright {
  text-align: center;
  border-top: 1px solid rgba(255, 255, 255, 0.2);
  padding: 10px 0;
}

.copyright p {
  color: #ccc;
}

#scroll-to-top {
  color: #fff;
  position: fixed;
  bottom: 20px;
  right: 30px;
  box-shadow: rgba(100, 100, 111, 0.2) 0px 7px 29px 0px;
  z-index: 99;
  border-radius: 50%;
  padding: 15px;
  cursor: pointer;
  display: none;
  background-color: #03228f;
  background-image: linear-gradient(140deg, #03228f 62%, #0e73e4 100%);
}

/*** Responsiveness***/
@media screen and (max-width: 420px) {
  .section-content {
    flex-direction: column-reverse;
  }

  .section-one .section-content-right {
    width: 100%;
  }

  .section-one .section-content-left {
    margin-top: 50px;
    width: 100%;
    text-align: center;
  }

  .main-header {
    display: none;
  }

  .mobile-header {
    display: flex;
    padding: 10px 0;
  }

  .section-one .section-content {
    margin-top: 80px;
  }

  .services {
    flex-direction: column;
    margin: 25px auto 60px;
  }
  .services:nth-child(even) {
    flex-direction: column-reverse;
    margin: 25px auto 60px;
  }

  .services .service-image {
    width: 100%;
  }

  .services .service-image img {
    width: 80%;
  }

  .services .service-content {
    width: 100%;
  }

  .services .service-content .service-content-wrapper {
    width: 90%;
  }

  .design-image {
    margin-bottom: -40px;
  }

  .section-one .section-content-left {
    margin-top: 10px;
  }

  .section-one .section-content-left h3 {
    font-size: 25px;
  }

  .section-mt {
    margin-top: 60px;
  }

  .about-content {
    flex-direction: column-reverse;
  }

  .about-content .about-details {
    width: 100%;
  }

  .about-content .about-details .about-content-wrapper {
    width: 90%;
  }

  .about-content .about-image {
    width: 100%;
  }

  .about-content .about-image img {
    width: 75%;
  }

  .sticky-header .scroll-logo {
    width: 24%;
  }

  .workflow {
    flex-direction: column-reverse;
  }

  .workflow-steps {
    width: 100%;
  }

  .workflow-content {
    width: 100%;
  }

  .workflow-content-wrapper {
    width: 90%;
    text-align: center;
    margin-bottom: 30px;
  }

  .workflow-content-wrapper p {
    text-align: center;
    font-size: 22px;
  }

  .step {
    margin: 0 0 30px;
  }

  .workflow-steps {
    justify-content: center;
  }

  .main-footer {
    flex-direction: column;
  }

  .footer-column-one {
    width: 100%;
    margin-bottom: 20px;
    border: none;
  }

  .footer-column-two {
    width: 100%;
    margin-bottom: 20px;
    border: none;
    text-align: center;
  }

  .footer-column-three {
    width: 100%;
    border: none;
    text-align: center;
  }

  .workflow-content-wrapper h4 {
    font-size: 30px;
  }

  .item-flow-three {
    left: 300px;
  }

  .item-flow-four {
    display: none;
  }

  .item-flow-five {
    display: none;
  }

  .item-flow-six {
    display: none;
  }

  .item-flow-seven {
    display: none;
  }
}

/*** animation keyframes ***/
@keyframes animate {
  0% {
    transform: translateY(0) rotate(0deg);
    opacity: 1;
  }
  100% {
    transform: translateY(-800px) rotate(360deg);
    opacity: 0;
  }
}

@keyframes rotating {
  0% {
    transform: rotate3d(1, 2, 0, 0deg);
  }
  100% {
    transform: rotate3d(1, 2, 0, 360deg);
  }
}

@keyframes stepBox {
  0%,
  100% {
    bottom: 0;
  }
  50% {
    bottom: 30px;
  }
}

@keyframes itemFlow {
  0% {
    top: 0;
    visibility: visible;
  }
  100% {
    top: 100%;
  }
}
